addressinfogenerator(1)

NAME
addressinfogenerator - HiPerConTracer Address Info Generator

SYNOPSIS
addressinfogenerator database_configuration

DESCRIPTION
addressinfogenerator updates the HiPerConTracer PostgreSQL database with additional information on observed IP addresses: geo location (obtained by GeoIP), Autonomous System (ASN) information (obtained by GeoIP) and a DNS reverse lookup.

ARGUMENTS
The following argument has to be provided:

database_configuration
    Specifies the database configuration file. See /usr/share/hipercontracer/hipercontracer-database-configuration for an example.

EXAMPLES

addressinfogenerator hipercontracer-database-configuration

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/addressinfogenerator
mailto://dreibh@simula.no